Subject: bug#41239: GTK builds crashing in XTread_socket after deleting a frame

From: martin rudalics <[email-masked]>
Date: Tue, 26 May 2020 10:03:09 +0200

> Nothing.  But I see a possible point of confusion: if you run that
 > command just after starting gdb, before you've run emacs, then you get
 > the prompt
 >
 >      Make breakpoint pending on future shared library load? (y or [n])
 >
 > You might have reflexively answered 'n' to it, since it usually happens
 > after typoing the function name given to 'break'.  But this is a case
 > where 'y' is the correct answer since g_log is in the glib shared
 > library, not emacs.

I wasn't prompted but just informed that

Function "g_log" not defined.
Breakpoint 3 (g_log) pending.

so I decided that it wouldn't work.  But as you pointed out, it does
work.

Thanks again, martin